[postgresql] Update to PostgreSQL 9.1.2

Tom Lane tgl at fedoraproject.org
Mon Dec 5 16:33:18 UTC 2011


commit a60f809e4269969eadd775a435ee7d682389dfbc
Author: Tom Lane <tgl at redhat.com>
Date:   Mon Dec 5 11:32:50 2011 -0500

    Update to PostgreSQL 9.1.2

 .gitignore                      |    4 ++--
 generate-pdf.sh                 |   15 +++++++++------
 postgresql-no-sepsql-test.patch |   20 --------------------
 postgresql.spec                 |   10 ++++++----
 sources                         |    4 ++--
 5 files changed, 19 insertions(+), 34 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 5a63aff..295e700 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,3 @@
-/postgresql-9.1.1.tar.bz2
-/postgresql-9.1.1-US.pdf
+/postgresql-9.1.2.tar.bz2
+/postgresql-9.1.2-US.pdf
 /postgresql-9.0.4.tar.bz2
diff --git a/generate-pdf.sh b/generate-pdf.sh
index 9158a45..8a8ada5 100755
--- a/generate-pdf.sh
+++ b/generate-pdf.sh
@@ -13,9 +13,10 @@
 # You will need to have the docbook packages installed to run this.
 # Expect it to take about 20 minutes and use about 160MB of disk.
 
-# Extract version from specfile
+set -e
 
-VERSION=`sed -n 's/^Version: //p' postgresql.spec`
+# Pass package version (e.g., 9.1.2) as argument
+VERSION=$1
 
 TARGETFILE=postgresql-$VERSION-US.pdf
 
@@ -23,17 +24,19 @@ echo Building $TARGETFILE ...
 
 # Unpack and configure postgresql
 
-tar xfj postgresql-$VERSION.tar.bz2 || exit 1
+rm -rf postgresql-$VERSION
+
+tar xfj postgresql-$VERSION.tar.bz2
 
-cd postgresql-$VERSION || exit 1
+cd postgresql-$VERSION
 
-./configure >/dev/null || exit 1
+./configure >/dev/null
 
 # Build the PDF docs
 
 cd doc/src/sgml
 
-make postgres-US.pdf >make.log || exit 1
+make postgres-US.pdf >make.log
 
 mv -f postgres-US.pdf ../../../../$TARGETFILE
 
diff --git a/postgresql.spec b/postgresql.spec
index ef2b3db..9e096ce 100644
--- a/postgresql.spec
+++ b/postgresql.spec
@@ -52,8 +52,8 @@
 Summary: PostgreSQL client programs
 Name: postgresql
 %global majorversion 9.1
-Version: 9.1.1
-Release: 2%{?dist}
+Version: 9.1.2
+Release: 1%{?dist}
 
 # The PostgreSQL license is very similar to other MIT licenses, but the OSI
 # recognizes it as an independent license, so we do as well.
@@ -89,7 +89,6 @@ Source15: postgresql-bashprofile
 Patch1: rpm-pgsql.patch
 Patch2: postgresql-logging.patch
 Patch3: postgresql-perl-rpath.patch
-Patch4: postgresql-no-sepsql-test.patch
 
 BuildRequires: perl(ExtUtils::MakeMaker) glibc-devel bison flex gawk
 BuildRequires: perl(ExtUtils::Embed), perl-devel
@@ -301,7 +300,6 @@ benchmarks.
 %patch1 -p1
 %patch2 -p1
 %patch3 -p1
-%patch4 -p1
 
 # We used to run autoconf here, but there's no longer any real need to,
 # since Postgres ships with a reasonably modern configure script.
@@ -918,6 +916,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Mon Dec  5 2011 Tom Lane <tgl at redhat.com> 9.1.2-1
+- Update to PostgreSQL 9.1.2, for various fixes described at
+  http://www.postgresql.org/docs/9.1/static/release-9-1-2.html
+
 * Wed Nov 02 2011 Honza Horak <hhorak at redhat.com> 9.1.1-2
 - Create a symlink of pg_regress instead of full copy;
   Don't strip symbols from regress libs
diff --git a/sources b/sources
index 26f8c85..a853c4c 100644
--- a/sources
+++ b/sources
@@ -1,3 +1,3 @@
-061a9f17323117c9358ed60f33ecff78  postgresql-9.1.1.tar.bz2
-a085e5da2adf53e3979c3a16b58eee12  postgresql-9.1.1-US.pdf
+7dbff52221954c46595313eb7f92c3e0  postgresql-9.1.2.tar.bz2
+41e90d2e3b1ba88801fed96d553d9417  postgresql-9.1.2-US.pdf
 80390514d568a7af5ab61db1cda27e29  postgresql-9.0.4.tar.bz2


More information about the scm-commits mailing list